Bug 712608 - SELinux is preventing /usr/libexec/gnome-session-check-accelerated-helper from read, write access on the chr_file card0.
Summary: SELinux is preventing /usr/libexec/gnome-session-check-accelerated-helper fro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:15537d727ec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-11 18:38 UTC by my_linux
Modified: 2011-06-24 03:53 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:53:33 UTC


Attachments (Terms of Use)

Description my_linux 2011-06-11 18:38:25 UTC
SELinux is preventing /usr/libexec/gnome-session-check-accelerated-helper from read, write access on the chr_file card0.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gnome-session-check-accelerated-helper should be allowed read write access on the card0 chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-session-c /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xserver_misc_device_t:s0
Target Objects                card0 [ chr_file ]
Source                        gnome-session-c
Source Path                   /usr/libexec/gnome-session-check-accelerated-
                              helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-session-3.0.1-2.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-26.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.7-30.fc15.x86_64 #1 SMP Fri
                              May 27 05:15:53 UTC 2011 x86_64 x86_64
Alert Count                   11
First Seen                    Sat 11 Jun 2011 07:37:34 PM BST
Last Seen                     Sat 11 Jun 2011 07:37:35 PM BST
Local ID                      2dbc9869-09da-4194-b507-43b1ef083e1f

Raw Audit Messages
type=AVC msg=audit(1307817455.8:293): avc:  denied  { read write } for  pid=3261 comm="gnome-session-c" name="card0" dev=devtmpfs ino=18631 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xserver_misc_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1307817455.8:293): arch=x86_64 syscall=open success=no exit=EACCES a0=7fffbc9bd0e0 a1=2 a2=0 a3=38027933ac items=0 ppid=3255 pid=3261 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=4294967295 comm=gnome-session-c exe=/usr/libexec/gnome-session-check-accelerated-helper subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-session-c,xdm_t,xserver_misc_device_t,chr_file,read,write

audit2allow

#============= xdm_t ==============
allow xdm_t xserver_misc_device_t:chr_file { read write };

audit2allow -R

#============= xdm_t ==============
allow xdm_t xserver_misc_device_t:chr_file { read write };

Comment 1 Daniel Walsh 2011-06-13 12:52:33 UTC
Fixed in selinux-policy-3.9.16-29.fc15

Comment 2 Fedora Update System 2011-06-14 10:17:34 UTC
selinux-policy-3.9.16-30.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15

Comment 3 Fedora Update System 2011-06-21 17:29:56 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-24 03:51:52 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.